/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./actionsheet/actionsheet.component";
import * as i2 from "./actionsheet/actionsheet-view.component";
import * as i3 from "./actionsheet/templates/header-template.directive";
import * as i4 from "./actionsheet/templates/item-template.directive";
import * as i5 from "./actionsheet/templates/content-template.directive";
import * as i6 from "./actionsheet/templates/footer-template.directive";
import * as i7 from "./actionsheet/templates/actionsheet-template";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the ActionSheet component.
 *
 * @example
 * ```typescript
 * import { ActionSheetModule } from '@progress/kendo-angular-navigation';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, ActionSheetModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class ActionSheetModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ActionSheetModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ActionSheetModule, never, [typeof i1.ActionSheetComponent, typeof i2.ActionSheetViewComponent, typeof i3.ActionSheetHeaderTemplateDirective, typeof i4.ActionSheetItemTemplateDirective, typeof i5.ActionSheetContentTemplateDirective, typeof i6.ActionSheetFooterTemplateDirective, typeof i7.ActionSheetTemplateDirective], [typeof i1.ActionSheetComponent, typeof i2.ActionSheetViewComponent, typeof i3.ActionSheetHeaderTemplateDirective, typeof i4.ActionSheetItemTemplateDirective, typeof i5.ActionSheetContentTemplateDirective, typeof i6.ActionSheetFooterTemplateDirective, typeof i7.ActionSheetTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ActionSheetModule>;
}
