/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ActionSheetItem } from './actionsheet-item.interface';
/**
 * Provides the event data for the `itemClick` event of the ActionSheet component.
 *
 * Use this event to access the clicked item and the original DOM event.
 */
export declare class ActionSheetItemClickEvent {
    /**
     * Provides the ActionSheet item that was clicked.
     */
    item: ActionSheetItem;
    /**
     * Represents the original DOM event that triggered the `itemClick` event.
     */
    originalEvent: any;
}
