/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
/**
 * Represents the [Kendo UI AppBarSection component for Angular]({% slug contentarrangement_appbar %}#toc-sections).
 *
 * Use the AppBarSection component to group content, actions, or navigation items within the AppBar.
 *
 * @example
 * ```html
 * <kendo-appbar>
 *    <kendo-appbar-section>
 *         <h2>Page Title</h2>
 *     </kendo-appbar-section>
 * </kendo-appbar>
 * ```
 */
export declare class AppBarSectionComponent {
    hostClass: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppBarSectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppBarSectionComponent, "kendo-appbar-section", never, {}, {}, never, ["*"], true, never>;
}
