/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the available position modes of the AppBar ([see example](slug:positioning_appbar#toc-position-mode)).
 *
 * The possible values are:
 * * `static`&mdash;Positions the AppBar according to the normal flow of the page.
 * * `sticky`&mdash;Positions the AppBar based on the user's scroll position. A sticky element toggles between the static and fixed CSS [`position`](https://developer.mozilla.org/en-US/docs/Web/CSS/position) property, depending on the scroll position.
 * * `fixed`&mdash;Positions the AppBar relative to the viewport. The component always stays in the same place even if the page is scrolled.
 */
export type AppBarPositionMode = 'static' | 'sticky' | 'fixed';
