/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the position options of the AppBar
 * ([see example]({% slug positioning_appbar %}#toc-position)).
 *
 * * The possible values are:
 * * `top`&mdash;Places the AppBar at the top of the content. This setting requires rendering the AppBar before the main page content. In [`fixed mode`]({% slug api_navigation_appbarcomponent %}#toc-positionMode), this value applies a `top: 0` CSS style and adds a `box-shadow` to the bottom of the AppBar.
 * * `bottom`&mdash;Places the AppBar at the bottom of the content. This setting requires rendering the AppBar after the main page content. In [`fixed mode`]({% slug api_navigation_appbarcomponent %}#toc-positionMode), this value applies a `bottom: 0` CSS style and adds a `box-shadow` to the top of the AppBar.
 *
 */
export type AppBarPosition = 'top' | 'bottom';
