/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the possible theme colors of the AppBar
 * ([see example](slug:themecolor_appbar)).
 * The theme color will be applied as a background color to the component.
 *
 * * The possible values are:
 * * `light`&mdash;Applies coloring based on the light theme color.
 * * `dark`&mdash;Applies coloring based on the dark theme color.
 * * `inherit`&mdash Applies inherited coloring value.
 * * `primary`&mdash;Applies primary coloring value.
 *
 */
export type AppBarThemeColor = 'inherit' | 'light' | 'dark' | 'primary';
