/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./bottomnavigation/bottomnavigation.component";
import * as i2 from "./bottomnavigation/templates/item-template.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the BottomNavigation component.
 *
 * @example
 * ```typescript
 * import { BottomNavigationModule } from '@progress/kendo-angular-navigation';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, BottomNavigationModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class BottomNavigationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<BottomNavigationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<BottomNavigationModule, never, [typeof i1.BottomNavigationComponent, typeof i2.BottomNavigationItemTemplateDirective], [typeof i1.BottomNavigationComponent, typeof i2.BottomNavigationItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<BottomNavigationModule>;
}
