/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '../../common/preventable-event';
import { BottomNavigationComponent } from '../bottomnavigation.component';
/**
 * Provides the arguments for the `select` event of the BottomNavigation.
 */
export declare class BottomNavigationSelectEvent extends PreventableEvent {
    /**
     * Represents the index of the selected item in the `items` collection.
     */
    index: number;
    /**
     * Represents the selected BottomNavigation item.
     */
    item: any;
    /**
     * Provides the DOM event that triggered the selection.
     */
    originalEvent: any;
    /**
     * Provides a reference to the BottomNavigation instance that triggered the event.
     */
    sender: BottomNavigationComponent;
    /**
     * @hidden
     */
    constructor(args: any);
}
