/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents a template that defines the content of the BottomNavigation items. Use this directive to customize the appearance of each navigation item.
 * To define the template, nest an `<ng-template>` tag with the `kendoBottomNavigationItemTemplate` directive inside the `<kendo-bottomnavigation>` tag ([see example]({% slug templates_bottomnavigation %})).
 *
 * @example
 * ```html
 * <kendo-bottomnavigation [items]="items">
 *    <ng-template kendoBottomNavigationItemTemplate let-item="item">
 *       <span>{{ item.text }}</span>
 *    </ng-template>
 * </kendo-bottomnavigation>
 * ```
 */
export declare class BottomNavigationItemTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<BottomNavigationItemTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BottomNavigationItemTemplateDirective, "[kendoBottomNavigationItemTemplate]", never, {}, {}, never, never, true, never>;
}
