/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the options to control the position and behavior of the BottomNavigation when the page is scrollable ([see example]({% slug positioning_bottomnavigation %})).
 *
 * The possible values are:
 * * `fixed`&mdash;Positions the BottomNavigation at the bottom of the viewport, regardless of the page scroll position.
 * * `sticky`&mdash;Positions the BottomNavigation at the end of the scrollable container.
 */
export type BottomNavigationPositionMode = 'fixed' | 'sticky';
