/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./breadcrumb/breadcrumb.component";
import * as i2 from "./breadcrumb/template-directives/item-template.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the BreadCrumb component.
 *
 * @example
 * ```typescript
 * import { BreadCrumbModule } from '@progress/kendo-angular-navigation';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, BreadCrumbModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class BreadCrumbModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadCrumbModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<BreadCrumbModule, never, [typeof i1.BreadCrumbComponent, typeof i2.BreadCrumbItemTemplateDirective], [typeof i1.BreadCrumbComponent, typeof i2.BreadCrumbItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<BreadCrumbModule>;
}
