/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the collapse mode of the Breadcrumb. This type provides settings to control how the breadcrumb handles overflow scenarios when there is not
 * enough space to display all items.
 *
 * The available values are:
 * - `auto`&mdash;Items are automatically collapsed based on the width of the Breadcrumb. First and last item always remain visible.
 * - `wrap`&mdash;Items are wrapped on multiple rows when their total width is bigger than the width of the BreadCrumb.
 * - `none`&mdash;All items are expanded on the same row. This scenario is useful when you need to scroll the Breadcrumb.
 *
 * For more information and example refer to the [Collapse Modes]({% slug collapse_modes_breadcrumb %}) article.
 */
export type BreadCrumbCollapseMode = 'auto' | 'wrap' | 'none';
