/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./actionsheet/actionsheet.component";
import * as i2 from "./actionsheet/actionsheet-view.component";
import * as i3 from "./actionsheet/templates/header-template.directive";
import * as i4 from "./actionsheet/templates/item-template.directive";
import * as i5 from "./actionsheet/templates/content-template.directive";
import * as i6 from "./actionsheet/templates/footer-template.directive";
import * as i7 from "./actionsheet/templates/actionsheet-template";
import * as i8 from "./appbar/appbar.component";
import * as i9 from "./appbar/appbar-section.component";
import * as i10 from "./appbar/appbar-spacer.component";
import * as i11 from "./bottomnavigation/bottomnavigation.component";
import * as i12 from "./bottomnavigation/templates/item-template.directive";
import * as i13 from "./breadcrumb/breadcrumb.component";
import * as i14 from "./breadcrumb/template-directives/item-template.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the Navigation components.
 *
 * @example
 * ```typescript
 * import { NavigationModule } from '@progress/kendo-angular-navigation';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { NgModule } from '@angular/core';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, NavigationModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class NavigationModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NavigationModule, never, [typeof i1.ActionSheetComponent, typeof i2.ActionSheetViewComponent, typeof i3.ActionSheetHeaderTemplateDirective, typeof i4.ActionSheetItemTemplateDirective, typeof i5.ActionSheetContentTemplateDirective, typeof i6.ActionSheetFooterTemplateDirective, typeof i7.ActionSheetTemplateDirective, typeof i8.AppBarComponent, typeof i9.AppBarSectionComponent, typeof i10.AppBarSpacerComponent, typeof i11.BottomNavigationComponent, typeof i12.BottomNavigationItemTemplateDirective, typeof i13.BreadCrumbComponent, typeof i14.BreadCrumbItemTemplateDirective], [typeof i1.ActionSheetComponent, typeof i2.ActionSheetViewComponent, typeof i3.ActionSheetHeaderTemplateDirective, typeof i4.ActionSheetItemTemplateDirective, typeof i5.ActionSheetContentTemplateDirective, typeof i6.ActionSheetFooterTemplateDirective, typeof i7.ActionSheetTemplateDirective, typeof i8.AppBarComponent, typeof i9.AppBarSectionComponent, typeof i10.AppBarSpacerComponent, typeof i11.BottomNavigationComponent, typeof i12.BottomNavigationItemTemplateDirective, typeof i13.BreadCrumbComponent, typeof i14.BreadCrumbItemTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NavigationModule>;
}
